<?php
/**
 * Clase Base Bean para BaseCrPrAsignarCabeceraBN
 *
 * @package    Sedapal
 * @subpackage BaseCrPrAsignarCabeceraBN
 * @author     Willy
 * @version    SVN:: BaseCrPrAsignarCabeceraBN.class.php,v 1.1 2018-07-03 15:01:12 william.taype Exp $
 */
abstract class BaseCrPrAsignarCabeceraBN
{
  protected $Fecha;
  protected $Idmercado;
  protected $Idcolaborador;
  protected $Estado;
  protected $Fecharegistro;
  protected $Usuarioregistro;
  protected $Fechamodificacion;
  protected $Usuariomodificacion;
  protected $Mensaje;
  protected $Error;

  public function getFecha(){
    return $this->Fecha;
  }
  public function setFecha($v1){
    $this->Fecha = $v1; 
  }

  public function getIdmercado(){
    return $this->Idmercado;
  }
  public function setIdmercado($v1){
    $this->Idmercado = $v1; 
  }

  public function getIdcolaborador(){
    return $this->Idcolaborador;
  }
  public function setIdcolaborador($v1){
    $this->Idcolaborador = $v1; 
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v1){
    $this->Estado = $v1; 
  }

  public function getFecharegistro(){
    return $this->Fecharegistro;
  }
  public function setFecharegistro($v1){
    $this->Fecharegistro = $v1; 
  }

  public function getUsuarioregistro(){
    return $this->Usuarioregistro;
  }
  public function setUsuarioregistro($v1){
    $this->Usuarioregistro = $v1; 
  }

  public function getFechamodificacion(){
    return $this->Fechamodificacion;
  }
  public function setFechamodificacion($v1){
    $this->Fechamodificacion = $v1; 
  }

  public function getUsuariomodificacion(){
    return $this->Usuariomodificacion;
  }
  public function setUsuariomodificacion($v1){
    $this->Usuariomodificacion = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_pr_asignar_cabeceraBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_pr_asignar_cabeceraRs )
  {
    $o_CrPrAsignarCabeceraBN = new CrPrAsignarCabeceraBN();
    $o_CrPrAsignarCabeceraBN->setFecha( $o_Cr_pr_asignar_cabeceraRs['fecha'] );
    $o_CrPrAsignarCabeceraBN->setIdmercado( $o_Cr_pr_asignar_cabeceraRs['idmercado'] );
    $o_CrPrAsignarCabeceraBN->setIdcolaborador( $o_Cr_pr_asignar_cabeceraRs['idcolaborador'] );
    $o_CrPrAsignarCabeceraBN->setEstado( $o_Cr_pr_asignar_cabeceraRs['estado'] );
    $o_CrPrAsignarCabeceraBN->setFecharegistro( $o_Cr_pr_asignar_cabeceraRs['fecharegistro'] );
    $o_CrPrAsignarCabeceraBN->setUsuarioregistro( $o_Cr_pr_asignar_cabeceraRs['usuarioregistro'] );
    $o_CrPrAsignarCabeceraBN->setFechamodificacion( $o_Cr_pr_asignar_cabeceraRs['fechamodificacion'] );
    $o_CrPrAsignarCabeceraBN->setUsuariomodificacion( $o_Cr_pr_asignar_cabeceraRs['usuariomodificacion'] );
    return $o_CrPrAsignarCabeceraBN;
  }
}